function [ dist ] = icc_likelihood_dist(p, q, adj)
%ICC_LIKELIHOOD_DIST Measures -log likelihood of the transition p->q under ICC model

new_active_idx = find(q ~= 0 & q ~= p);
dist = 0;

p_nbr = 0.001;

if(isempty(new_active_idx))
	return;
end

epsilon = 0.01;

for i = new_active_idx'
	inneighbor_idx = find(adj(:, i));
	innhood = p(inneighbor_idx);
	ninneighbor = length(inneighbor_idx);
	ninneighbor_inf = nnz(abs(innhood - q(i)) <= eps);
	pr_activation = ninneighbor_inf / ninneighbor;
	if(pr_activation < eps)
		pr_activation = epsilon;
	end
	dist_activation = -log(pr_activation);
	dist = dist + dist_activation;
end

end
