function [ dist ] = ltc_likelihood_dist(p, q, adj)
%MODEL_LIKELIHOOD_DIST Measures -log likelihood of the transition p->q under IC model

new_active_idx = find(q ~= 0 & q ~= p);
dist = 0;
thresholds = rand(length(new_active_idx), 1);

if(isempty(new_active_idx))
	return;
end

epsilon = 0.01;

for i_ind = 1 : length(new_active_idx)
	i = new_active_idx(i_ind);
	inneighbor_idx = find(adj(:, i));
	innhood = p(inneighbor_idx);
	ninneighbor = length(inneighbor_idx);
	ninneighbor_inf = nnz(abs(innhood - q(i)) <= eps);
	pr_activation = ninneighbor_inf / ninneighbor;
	if(pr_activation < thresholds(i_ind))
		pr_activation = epsilon;
	end
	dist_activation = -log(pr_activation);
	dist = dist + dist_activation;
end

end
