function [ raw_output ] = get_matlab_users(toolbox_name)
%GET_MATLAB_USERS

toolbox_arg = '';
if(nargin >= 1)
    toolbox_arg = sprintf(' -f "%s" ', toolbox_name);
else
    fprintf([ ...
        'Please specify the name of a toolbox (e.g., MATLAB, Bioinformatics_Toolbox, ', ...
        'Optimization_Toolbox, Statistics_Toolbox, Symbolic_Toolbox, Wavelet_Toolbox).\n'
    ]);
end
lmstat_path = fullfile(matlabroot, '/etc/lmstat');
cmd = sprintf('%s %s | sed -n -e ''/Users of %s/,$p''', lmstat_path, toolbox_arg, toolbox_name);

% sed -n -e "/Users of %s/,$p"
[status, raw_output] = unix(cmd);
if(~status)
    warning('Unable to retrieve data from the license server.');
    fprintf(raw_output);
end

end

