function [ num_workers ] = parpool_size()
%PARPOOL_SIZE Gets the size of the current parallel pool.

if(exist('parpool', 'file'))
    pobj = gcp('nocreate');
    if(~isempty(pobj))
        num_workers = pobj.NumWorkers;
        return;
    end
elseif(exist('matlabpool', 'file'))
    num_workers = matlabpool('SIZE');
    return;
end

num_workers = 0;

end

