function [ fldvec ] = cellarr2fldvec(cellarr, field_name)
%CELLARR2FLDVEC Extracts a vector of fields from a cell array of structures
%
%  Input: cellarr = { {x: 1, s: 'hello'}, {x: 3, s: 'world'} }
%         field_name = 'x'
%
%  Output: [1, 3]

fldvec = zeros(1, length(cellarr));
for i = 1 : length(cellarr)
    cell = cellarr{i};
    fldval =  getfield(cell, field_name);
    fldvec(i) = fldval;
end

end

