function [ A_new ] = rescale_columns(A)
%%RESCALE_COLUMNS Rescales each column with respect to the columns' max values
    if(~ismatrix(A))
        error('Invalid matrix.');
    end
    nrows = size(A, 1);
    colmaxs = max(A, [], 1);
    colmaxs(colmaxs == 0) = 1;    
    A_new = A ./ repmat(colmaxs, nrows, 1);
end

