function unstruct(structure, workspace)
%UNSTRUCT Moves the fields of a structure to their namesake variables
% in a workspace -- (caller workspace by default).

if(nargin < 1 || ~isstruct(structure))
	error('Structure is not provided or is invalid.');
end
if(nargin < 2)
	workspace = 'caller';
end
if(~strcmp('base', workspace) && ~strcmp('caller', workspace))
	error('Invalid workspace "%s"', workspace);
end

for field_name = fieldnames(structure)'
	f = field_name{:};
	assignin(workspace, f, structure.(f));
end

end

