function [ row_idx ] = findlargerowidx(A, thres)
%FINDFIRSTROWS For each col(i) of A find the minimal index of the row in
% which elements of col(i) overgrow thres(i).

ncols = size(A, 2);
nrows = size(A, 1);
A_ex = [0.1 * ones(1, ncols); A];
row_idx = cell2mat(cellfun(@(col) max([0, find(col, 1) - 1]), num2cell(A_ex > repmat(thres, nrows + 1, 1), 1), 'UniformOutput', false));

end

