function [ ss ] = substrx(str, istart, iend)

if(nargin < 2)
    error('Not enough arguments');
end
if(nargin < 3)
    iend = max(istart, length(str));
end

if(iscell(str))
    str = cell2mat(str);
end
if(~ischar(str))
    error('Argument is not a string.');
end

if(istart < 1 || iend < 1)
    error('Invalid index.');
end
if(length(str) <= 0 || istart >= iend || istart >= length(str))
    ss = '';
    return;
end
if(iend > length(str))
    iend = length(str);
end

ss = str(istart : iend);

end